# makefile for compiling visual studio project files from command line
# and parsing correct paths for the errors and warning for usage with
# editors like emacs
# Intial version by: Jiri Bittner 

OPTIONS='/property:Configuration=Release;Satellite_GenerateFullPaths=true'

BUILD_DIR=../../build.12
TARGET=$(BUILD_DIR)/core/vrut.vcxproj
TARGETALL=$(BUILD_DIR)/ALL_BUILD.vcxproj

default:
		echo $(BUILD_DIR)
		echo $(TARGET)
#		devenv.com $(TARGET) /Build 
		MSBuild.exe $(TARGET) $(OPTIONS) | sed 's/^.*\.\.[\\\/]core[\/\\]\(.*\)/\1/g'

all:
		echo $(BUILD_DIR)
		echo $(TARGETALL)
#		devenv.com $(TARGETALL) /Build 
		MSBuild.exe $(TARGETALL) $(OPTIONS)
#		| sed 's/^.*\.\.[\\\/]core[\/\\]\(.*\)/..\/\1/g'

rebuild:
		echo $(BUILD_DIR)
		echo $(TARGET)
		MSBuild.exe $(TARGET) $(OPTIONS) /t:Clean
		make -f ../makefile.msbuild default

clean:
		echo $(BUILD_DIR)
		echo $(TARGET)
		MSBuild.exe $(TARGET) $(OPTIONS) /t:Clean
